/* $Id: MarkerChangeDefaultColorAction.java 303 2011-08-18 23:45:09Z minao $ */
package smart_gs.menu.action;

import java.awt.Color;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import smart_gs.drawing_tool.view.MarkerView;
import smart_gs.drawing_tool.view.MemoPadView;
import smart_gs.drawing_tool.view.View;
import smart_gs.logical.Preference;

public class MarkerChangeDefaultColorAction implements ActionListener {


	private String color;
	
	public MarkerChangeDefaultColorAction(Color color) {
		this.color = MarkerView.colorToString(color);
	}
	@Override
	public void actionPerformed(ActionEvent e) {
		Preference.getInstance().setMarkerColor(color);
	}

}
